﻿Type=Class
Version=2.00
@EndOfDesignText@
'Class module
Sub Class_Globals

	Private SV As ScrollView
	Private is1 As InputSlider
	Private CF As Object
	Private EventSub As String
	Private Version As String
End Sub

'Initializes the object. You can add parameters to this method if needed.
Sub Initialize(Parent As Object,Left,Top,Width,Height)
	
	
	Version = "1.00"
	SV.Initialize2(500,"SV")
	
	If Parent Is Activity Then
		Dim P As Activity
		P=Parent
		P.AddView(SV,0,0,Width,Height)
		SetupSlider(P)
		Else
			If Parent Is Panel Then
			Dim Pnl As Panel
			Pnl=Parent
			Pnl.AddView(SV,0,0,Width,Height)
			SetupSlider(Pnl)
		Else
			Log("Invalid Parent, must be Activity or Panel")
		End If
	End If

End Sub
Private Sub SetupSlider(Parent As Object)

	'Set up the slider to use as FastScroll scroll
	is1.Initialize(Me,"is1",Parent,SV.Width*0.85,0,SV.Width*0.15,SV.Height)
	'Make the bakground panel transparent
	is1.SetBackgroundColor(Colors.ARGB(0,0,0,0))
	is1.SetMaxVal(SV.Panel.Height-SV.Height)
	is1.SetValue(0,True)
	is1.SetPtrSize(0,0,SV.Width*0.15,40Dip)

End Sub
Private Sub is1_ValueChanged(Value As Float,UserChanged As Boolean)
	'Only update the position if not responding to SV_ScrollChanged
	If Not(UserChanged) Then SV.ScrollPosition=Value
	'Determine if fast scroll should be visible.
	If Value = SV.ScrollPosition Then 
		is1.SetVisible(False)
	Else
		is1.SetVisible(True)
	End If
End Sub
Private Sub SV_ScrollChanged(Position As Int)
	'Check if the internal panel height has changed
	If is1.GetMaxVal <> SV.Panel.Height Then is1.SetMaxVal(SV.Panel.Height-SV.Height)
	is1.SetValue(Position,True)
End Sub
'Returns the Scroll View Panel Object
Sub SVPnlAsView As Panel
	Return SV.Panel
End Sub
'Set the image to use as the fast scroll handle
Sub SetFastScrollImage(Image As Bitmap)
	is1.SetPointerImage(Image)
End Sub
'Set the background Colour for the Scroll View
Sub SetSVBackground(Color As Int)
	SV.Color=Color
End Sub
Sub GetVersion As String
	Return Version
End Sub